Introducing OpenTelemetry for Chargebee SDKs — trace every API call in any telemetry tool.

Create a bank account payment source

This API adds a Direct Debit payment source for a customer. The bank account details collected from your customer are passed as input to this API.

Automated Clearing House (ACH) Network

ACH is an electronic network for passing financial transactions in the US. Chargebee currently supports ACH via Stripe , Authorize.Net, and GoCardless.

Bank account verification

Once the bank account has been added, it needs to be verified.

Single Euro Payment Area (SEPA)

SEPA is an initiative that integrates bank transfer payments denominated in euro. It is supported via GoCardless, Stripe and Adyen.

Bacs Payment Schemes Limited (BACS) and Bg Autogiro

Bacs is an organization that manages the Direct Debit and Direct Credit payment methods in the UK. Bg Autogiro is a Direct Debit scheme for krona denominated payments in Sweden. Both Bacs and Bg Autogiro are supported via GoCardless.

Bulk Electronic Clearing System (BECS) and Pre-Authorized Debit (PAD)

BECS is an automated payment method for Direct Debit in Australia and New Zealand while PAD does the same for Canada. GoCardless supports both.

For Direct Debit, the customer needs to accept a mandate that allows the merchant to debit their bank account. This agreement PDF can be obtained using the Retrieve direct debit agreement PDF API.

If the customer has already reached the payment source limit allowed for the site, pass replace_primary_payment_source as true. Alternatively, delete one of the payment sources first and then add the bank account payment source for the customer.

Sample Request

Sample Result[JSON]

URL Format

POST https://[site].chargebee.com/api/v2/payment_sources/create_bank_account

Input Parameters

customer_id
required, string, max chars=50

Identifier of the customer with whom this payment source is associated.

brand_id
optional, string, max chars=50

The unique ID of the brand this payment source should be linked to. Applicable only when multiple brands have been created for the site. This need not match the brand of the customer_id; when the two differ, the value provided here is used for the payment source. An alternative way of passing this parameter is by means of the chargebee-brand-id custom HTTP header; when both are provided, they must specify the same brand.

Default behavior

  • When not provided, the payment source is linked to the brand of the customer it is created for.
issuing_country
optional, string, max chars=50

2-letter(alpha2) ISO country code. Required when local bank details are provided, and not IBAN.

replace_primary_payment_source
optional, boolean, default=false

Indicates whether the primary payment source should be replaced with this payment source. In case of Create Subscription for Customer endpoint, the default value is True. Otherwise, the default value is False.

bank_account
Parameters for bank_account
pass parameters as bank_account[<param name>]

Returns

Customer object

Resource object representing customer

Payment source object

Resource object representing payment_source